import type { Discriminator, ServerOwnedTypes, SupportedValueTypes, PartialByType } from "@octopusdeploy/step-inputs";
export declare type ObjectInitialInputs<StepInputs> = {
    [K in keyof StepInputs]: InitialInput<StepInputs[K]>;
};
export declare type InitialInputs<StepInputs> = ObjectInitialInputs<PartialByType<StepInputs, ServerOwnedTypes>>;
export declare type InitialInput<T> = T extends Discriminator<infer D> ? D : T extends SupportedValueTypes ? T : T extends Array<infer T> ? Array<InitialInput<T>> : T extends object ? InitialInputs<T> : never;
